CEL: Crystal Entity Layer: iCelEntityTracker Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelEntityTracker Struct Reference

This structure maintains a tracker for entities. More...

`#include <physicallayer/pl.h>`

List of all members.

## Public Member Functions
virtual bool | AddEntity (iCelEntity *entity)=0
| Add an entity to this tracker.
virtual csPtr< iCelEntityList > | FindNearbyEntities (iSector *sector, const csVector3 &pos, float radius)=0
| Find all entities that are within a certain radius of a given object.
virtual const char * | GetName () const =0
| Get the name of this tracker.
virtual void | RemoveEntities ()=0
| Remove all entities from this tracker.
virtual void | RemoveEntity (iCelEntity *entity)=0
| Remove an entity from this tracker.

## Detailed Description

This structure maintains a tracker for entities.

You can use this to find all entities near some location. Note that this only works on entities with a pcmesh property class.

Definition at line 538 of file pl.h.

## Member Function Documentation

virtual bool iCelEntityTracker::AddEntity | ( | iCelEntity * | entity | ) | `[pure virtual]`

Add an entity to this tracker.

This only works on entities that have a pcmesh property class. It will return false if that property class is missing.

virtual csPtr<iCelEntityList> iCelEntityTracker::FindNearbyEntities | ( | iSector * | sector,
|  | const csVector3 & | pos,
|  | float | radius |
| ) |  |  | `[pure virtual]`

Find all entities that are within a certain radius of a given object.

virtual const char* iCelEntityTracker::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this tracker.

virtual void iCelEntityTracker::RemoveEntities | ( |  | ) | `[pure virtual]`

Remove all entities from this tracker.

virtual void iCelEntityTracker::RemoveEntity | ( | iCelEntity * | entity | ) | `[pure virtual]`

Remove an entity from this tracker.

The documentation for this struct was generated from the following file:

- physicallayer/pl.h